summarylogtreecommitdiffstats
path: root/feidao.sh
diff options
context:
space:
mode:
authorzxp198210052024-02-28 13:28:12 +0800
committerzxp198210052024-02-28 13:28:12 +0800
commitbadde3f9ab38ba10b84b354f318cfc3531561163 (patch)
treeb400d06383459fe3b8c99aa6b53482787b52ef2b /feidao.sh
parentc2877026d7b48b2be8382d0655763a4707e8bbe1 (diff)
downloadaur-badde3f9ab38ba10b84b354f318cfc3531561163.tar.gz
fix errors
Diffstat (limited to 'feidao.sh')
-rw-r--r--feidao.sh9
1 files changed, 4 insertions, 5 deletions
diff --git a/feidao.sh b/feidao.sh
index aacd8f895847..f9ced1432cfc 100644
--- a/feidao.sh
+++ b/feidao.sh
@@ -1,15 +1,14 @@
#!/bin/sh
set -e
_APPDIR="/usr/lib/@appname@"
-_ASAR="${_APPDIR}/@appasar@"
+_RUNNAME="${_APPDIR}/@runname@"
export PATH="${_APPDIR}:${PATH}"
export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
export ELECTRON_IS_DEV=0
export NODE_ENV=production
cd "${_APPDIR}"
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- exec electron@electronversion@ "${_ASAR}" "$@"
+ exec electron@electronversion@ "${_RUNNAME}" "$@" || exit $?
else
- exec electron@electronversion@ "${_ASAR}" --no-sandbox "$@"
-fi
-exit \ No newline at end of file
+ exec electron@electronversion@ "${_RUNNAME}" --no-sandbox "$@" || exit $?
+fi \ No newline at end of file